Difference between revisions of "Draft Move/fr"

From FreeCAD Documentation
Jump to navigation Jump to search
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 13: Line 13:
 
# Cliquez le premier point dans la vue 3D, ou donnez une [[Draft_Coordinates/fr|coordonnée]]
 
# Cliquez le premier point dans la vue 3D, ou donnez une [[Draft_Coordinates/fr|coordonnée]]
 
# Cliquez un deuxième point dans la vue 3D, ou donnez une [[Draft_Coordinates/fr|coordonnée]]
 
# Cliquez un deuxième point dans la vue 3D, ou donnez une [[Draft_Coordinates/fr|coordonnée]]
 +
 +
== Snapping, Constraining, and more ==
 +
 +
=== Preferences ===
 +
 +
Moving object around in 3D can be dreadful, and is most likely '''not''' what you want. FreeCAD comes with a lot more power to move object around, but first you must check your preferences to see how to activate those commands.
 +
 +
Go to {{KEY|Edit}} -> {{KEY|Preferences}} -> {{KEY|DRAFT}}, then open the {{KEY|Grid and snapping}} tab.
 +
 +
You will see there several options:
 +
 +
[[File:Pref_Draft_Snapping.png]]
 +
 +
By default the option "Always snap (disable snap mod)" is activated, which means that the snapping tools will always be active (you don't need to press a key to activate them), note here what keys are assigned to activate the different modes, by default:
 +
 +
* {{KEY|SHIFT}} activate the {{KEY|Constrain}} mode (move along an axis vector only)
 +
* {{KEY|Ctl}} activate the {{KEY|SNAP}} mode (cursor will snap on specific points)
 +
* {{KEY|Alt}} activate the {{KEY|ALT}}
 +
 +
=== Moving along a specific axis ===
 +
 +
In order to move along a specific axis, you must first select a working plane containing this axis (see the [[Draft_SelectPlane|selecting working plane]] page for more information).
 +
 +
After selecting the first point to move, start to move roughly in the axis direction and hold the {{KEY|SHIFT}} key. FreeCAD will automatically find which axis you are trying to follow and stick to this axis.
 +
 +
(This tool is especially powerful if you want to align a point to another one, regarding to an axis only).
 +
 +
More on constrain move [[Draft_Constrain|here]]
 +
 +
=== Snapping ===
 +
 +
If you have a point that you want to directly match on a solid, you can use snapping see the [[Draft_Snap|snapping]] page on how to activate the snap. Select the first point (using snap or not), and then hover to the second point until you see it highlighted.
 +
 +
By default the snapping mode is activated, but you may have it deactivated in the preferences (see preceding section), in that case, you will have to hold the Snapping key {{KEY|Ctrl}} by default.
 +
 +
=== Alt Mode ===
 +
 +
Alt mode allows you to copy and object instead of moving it only.
  
 
==Options==
 
==Options==

Revision as of 17:47, 8 December 2015

Draft Move.svg Déplacer

Emplacement du menu
Draft → Déplacer
Ateliers
Draft
Raccourci par défaut
M V
Introduit dans la version
-
Voir aussi
Aucun


Description

Cet outil déplace un (ou des) objet(s) sélectionné(s) d'un point à un autre, dans le plan de travail courant. Si aucun objet n'est sélectionné, il vous invitera à en sélectionner un.

Draft Move example.jpg

Utilisation

  1. Sélectionnez les objets que vous souhaitez déplacer ou copier
  2. Cliquez sur le bouton Draft Move.png Déplacer, ou pressez M et la touche V
  3. Cliquez le premier point dans la vue 3D, ou donnez une coordonnée
  4. Cliquez un deuxième point dans la vue 3D, ou donnez une coordonnée

Snapping, Constraining, and more

Preferences

Moving object around in 3D can be dreadful, and is most likely not what you want. FreeCAD comes with a lot more power to move object around, but first you must check your preferences to see how to activate those commands.

Go to Edit -> Preferences -> DRAFT, then open the Grid and snapping tab.

You will see there several options:

Pref Draft Snapping.png

By default the option "Always snap (disable snap mod)" is activated, which means that the snapping tools will always be active (you don't need to press a key to activate them), note here what keys are assigned to activate the different modes, by default:

  • SHIFT activate the Constrain mode (move along an axis vector only)
  • Ctl activate the SNAP mode (cursor will snap on specific points)
  • Alt activate the ALT

Moving along a specific axis

In order to move along a specific axis, you must first select a working plane containing this axis (see the selecting working plane page for more information).

After selecting the first point to move, start to move roughly in the axis direction and hold the SHIFT key. FreeCAD will automatically find which axis you are trying to follow and stick to this axis.

(This tool is especially powerful if you want to align a point to another one, regarding to an axis only).

More on constrain move here

Snapping

If you have a point that you want to directly match on a solid, you can use snapping see the snapping page on how to activate the snap. Select the first point (using snap or not), and then hover to the second point until you see it highlighted.

By default the snapping mode is activated, but you may have it deactivated in the preferences (see preceding section), in that case, you will have to hold the Snapping key Ctrl by default.

Alt Mode

Alt mode allows you to copy and object instead of moving it only.

Options

  • Pressez les touches X, Y ou Z après le premier point, pour contraindre le point suivant sur l'axe donné.
  • Pour entrer les coordonnées manuellement, entrez simplement les chiffres, et appuyez sur ENTER entre chacune des composantes X, Y et Z.
  • Pressez la touche R ou cliquez sur la case à cocher/décocher Relative. Si le mode Relative est coché, les coordonnées du point suivant sont relatifs au dernier point. S'ils ne sont pas absolus, le point d'origine est (0,0,0).
  • Pressez la touche T ou cliquez sur la case à cocher/décocher Continue. Si le mode Continue est coché, l'outil Move va redémarrer après avoir terminé ou fermé, ce qui vous permet de déplacer ou copier les objets une nouvelle fois sans appuyer sur le bouton Draft Move.png Draft Move/fr à nouveau.
  • Pressez la touche ALT ou C ou cliquez sur la touche Copy fera une copie des objets au lieu de les déplacer. Si vous gardez la touche ALT enfoncée après avoir cliqué sur le second point, vous serez capable de placer autant de copies que vous voulez, jusqu'au moment ou vous relâchiez la touche ALT.
  • Pressez la touche CTRL pour que votre point d'emplacement se fasse sur un point d'encrage (snap) disponible, indépendamment de la distance.
  • Pressez la touche SHIFT pour créer une contrainte verticale ou horizontale en rapport avec le point de départ.
  • Pressez la touche ESC ou la touche Cancel pour annuler la commande courante.

Script

La commande Draft Move.png Move peut être utilisée dans une macro et dans la console Python, en utilisant la fonction suivante :

move (FreeCAD.Object or list, Vector, [copymode])
  • Déplace l'objet donné ou les objets contenus dans la liste et dans la direction et distance indiquée par le vecteur donné.
  • Si copymode est True, les objets eux-mêmes ne sont pas déplacés, mais des copies sont créées à la place.
  • Retourne les objets (ou leurs copies) si copymode est réglé sur True

Exemple:

import FreeCAD,Draft
Draft.move(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,0))

Limitations

  • Lors du déplacement (ou du changement de Placement) d'un objet du document (par exemple: Pad, Revolution, etc) basé sur un croquis (Sketcher/Part Design), vous devez déplacer le croquis original. Si vous déplacez l'objet dérivé, il retournera à la position définie par le croquis.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский